package cn.com.poc.ai_data_audit.service;

import cn.com.poc.ai_data_audit.query.AiDataAuditRuleQueryCondition;
import cn.com.poc.ai_data_audit.query.AiDataAuditRuleQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_data_audit.entity.BizAiDataAuditRuleEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizAiDataAuditRuleService extends BaseService {

    BizAiDataAuditRuleEntity get(java.lang.Integer id) throws Exception;

    List<BizAiDataAuditRuleEntity> findByExample(BizAiDataAuditRuleEntity example, PagingInfo pagingInfo) throws Exception;

    BizAiDataAuditRuleEntity save(BizAiDataAuditRuleEntity entity) throws Exception;

    BizAiDataAuditRuleEntity update(BizAiDataAuditRuleEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;


    List<AiDataAuditRuleQueryItem> aiDataAuditRuleQueryItemList(AiDataAuditRuleQueryCondition condition, PagingInfo pagingInfo) throws Exception;

}